Bug 110119 - updatedb fails
updatedb fails
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: slocate (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-14 17:21 EST by Janet Smith
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-17 14:54:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Janet Smith 2003-11-14 17:21:42 EST
Description of problem:
# updatedb
warning: updatedb: Could not find the group: slocate in 
the /etc/group file.
fatal error: This is a result of the group missing or a corrupted 
group file.

# cat /etc/group|grep slocate
slocate:x:21:

# rpm -e slocate
# rpm -i slocate-2.6-9.s390.rpm
warning: group slocate does not exist - using root
warning: group slocate does not exist - using root
warning: group slocate does not exist - using root
warning: group slocate does not exist - using root
error: rpmdbAdd: skipping h#     471 Header V3 DSA signature: BAD, 
key ID db42a60e

# cat /etc/group|grep slocate
slocate:x:218:   <<<<<notice the group number has now changed>>>>>


Version-Release number of selected component (if applicable):
slocate-2.6-9.

How reproducible:
always

Steps to Reproduce:
1. updatedb
2.
3.
  
Actual results:
warning: updatedb: Could not find the group: slocate in 
the /etc/group file.
fatal error: This is a result of the group missing or a corrupted 
group file.


Expected results:
should update the slocate database

Additional info:
Comment 1 Bill Nottingham 2003-11-14 18:41:13 EST
How are you configuring authentication/user information? What's your
/etc/nsswitch.conf look like?
Comment 2 Janet Smith 2003-11-17 10:46:09 EST
DOH!  Stupid user error in the /etc/nsswitch.conf.

Thanks and you can close this record.
Comment 3 Suzanne Hillman 2003-11-17 14:54:05 EST
Closed based on comment #2.

Note You need to log in before you can comment on or make changes to this bug.